Bug 1295180 - OSP director installation config the wrong interface
OSP director installation config the wrong interface
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Linux
high Severity high
: ---
: 10.0 (Newton)
Assigned To: Dan Sneddon
Shai Revivo
: Automation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-03 04:48 EST by tkammer
Modified: 2017-07-10 08:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-14 10:09:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tkammer 2016-01-03 04:48:53 EST
Description of problem:
When using machines where the DHCP (management) is configured on eth1 and eth0 is meant to be used as the provisioning network for osp-d, even when supplying "eth0" in the "local_interface", my eth1 interface was still replaced with params meant to be used for the provisioning (attached to the OVS bridge and such)

Steps to Reproduce:
1. Setup a system where the management interface is not the first in the list
2. Configure the undercloud.conf with "openstack-config --set undercloud.conf DEFAULT local_interface eth0"
3. Run undercloud installation

Actual results:
Machine looses connectivity as the management interface is being overwritten

Expected results:
Installation works on the given interface
Comment 3 Mike Burns 2016-04-07 17:03:37 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 5 Dmitry Tantsur 2016-10-20 09:32:01 EDT
Is this problem still reproducible with more recent OSP versions?

Note You need to log in before you can comment on or make changes to this bug.